GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
GDALGridNearestNeighborOptions Struct Reference

Nearest neighbor method control options. More...

`#include <gdal_alg.h>`

## Public Attributes
double | dfRadius1
double | dfRadius2
double | dfAngle
double | dfNoDataValue

## Detailed Description

Nearest neighbor method control options.

## Member Data Documentation

double GDALGridNearestNeighborOptions::dfAngle

Angle of ellipse rotation in degrees.

Ellipse rotated counter clockwise.

double GDALGridNearestNeighborOptions::dfNoDataValue

No data marker to fill empty points.

double GDALGridNearestNeighborOptions::dfRadius1

The first radius (X axis if rotation angle is 0) of search ellipse.

double GDALGridNearestNeighborOptions::dfRadius2

The second radius (Y axis if rotation angle is 0) of search ellipse.

The documentation for this struct was generated from the following file:

- gdal_alg.h

Generated for GDAL by 1.8.9.1.